## org.apache.batik.dom.svg
Class SVGPathSupport

    java.lang.Object
      org.apache.batik.dom.svg.SVGPathSupport

    public class SVGPathSupport

extends java.lang.Object

The class provides support for the SVGPath interface.

Constructor Summary
`SVGPathSupport()`

Method Summary
`static int` `getPathSegAtLength(SVGOMPathElement path, float x)` To implement `SVGPathElement.getPathSegAtLength(float)`.
`static org.w3c.dom.svg.SVGPoint` `getPointAtLength(SVGOMPathElement path, float distance)` To implement `SVGPathElement.getPointAtLength(float)`.
`static float` `getTotalLength(SVGOMPathElement path)` To implement `SVGPathElement.getTotalLength()`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SVGPathSupport

    public SVGPathSupport()

Method Detail

### getTotalLength

    public static float getTotalLength(SVGOMPathElement path)

  To implement `SVGPathElement.getTotalLength()`.

### getPathSegAtLength

    public static int getPathSegAtLength(SVGOMPathElement path,
                                         float x)

  To implement `SVGPathElement.getPathSegAtLength(float)`.

### getPointAtLength

    public static org.w3c.dom.svg.SVGPoint getPointAtLength(SVGOMPathElement path,
                                                            float distance)

  To implement `SVGPathElement.getPointAtLength(float)`.

Copyright © 2008 Apache Software Foundation. All Rights Reserved.